> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voices

> Returns a list of Voices available to the user



## OpenAPI

````yaml get /project/assets/user_voice/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/user_voice/:
    get:
      tags:
        - project
      description: Returns a list of Voices associated with tehe authenticated user.
      operationId: List Voices
      parameters:
        - in: query
          name: age_group
          schema:
            type: string
            nullable: true
            enum:
              - Adult
              - Old
              - Young
          description: |-
            Filter based on the age group of the voice.

            * `Young` - Young
            * `Adult` - Adult
            * `Old` - Old
        - in: query
          name: gender
          schema:
            type: string
            nullable: true
            enum:
              - Female
              - Male
          description: |-
            Filter based on the gender of voice.

            * `Male` - Male
            * `Female` - Female
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedApiVoiceList'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    PaginatedApiVoiceList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ApiVoice'
    ApiVoice:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the voice.
        name:
          type: string
          readOnly: true
          description: Name of the voice.
        gender:
          allOf:
            - $ref: '#/components/schemas/ApiVoiceGenderEnum'
          readOnly: true
          description: |-
            Gender of the voice.

            * `Male` - Male
            * `Female` - Female
        age_group:
          allOf:
            - $ref: '#/components/schemas/AgeGroupEnum'
          readOnly: true
          description: |-
            Age group of the voice

            * `Young` - Young
            * `Adult` - Adult
            * `Old` - Old
        voice_accent:
          type: string
          readOnly: true
          description: Accent of the voice.
        stability:
          type: number
          format: double
          readOnly: true
          description: Expressiveness of speaking style.
        style_exaggeration:
          type: number
          format: double
          readOnly: true
          description: Level of exaggeration of the speaking style.
        sample_audio_url:
          type: string
          format: uri
          readOnly: true
          description: >-
            URL of the sample audio of the
            voice.                                              _Note: Link will
            be valid for the next 60 minutes._
      required:
        - age_group
        - gender
        - id
        - name
        - sample_audio_url
        - stability
        - style_exaggeration
        - voice_accent
    ApiVoiceGenderEnum:
      enum:
        - Male
        - Female
      type: string
      description: |-
        * `Male` - Male
        * `Female` - Female
    AgeGroupEnum:
      enum:
        - Young
        - Adult
        - Old
      type: string
      description: |-
        * `Young` - Young
        * `Adult` - Adult
        * `Old` - Old
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````